export declare const graphqlFieldOptions: <Schema extends import("./query-schema.js").FieldSchema>(schema: Schema, options: {
    aliasFor?: string;
    parameters?: Record<string, import("./values/value.js").GraphqlValue>;
}) => import("zod").ZodLazy<Schema>;
export declare const buildGraphqlQuery: <Schema extends import("./query-schema.js").QuerySchema>(schema: Schema, options?: import("./builder.js").QueryOptions | undefined) => string;
export { enumValue } from './values/enum.js';
export { variablePlaceholder } from './values/variable-placeholder.js';
export type { QuerySchema } from './query-schema.js';
//# sourceMappingURL=entry-point.d.ts.map